"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
function resolveTypeIndicators(namedType) {
    var isEnum = namedType['getValues'] !== undefined;
    return {
        isType: namedType['getFields'] !== undefined && namedType['getInterfaces'] !== undefined,
        isScalar: graphql_1.isLeafType(namedType) && !isEnum,
        isInterface: namedType['resolveType'] !== undefined && namedType['getFields'] !== undefined,
        isUnion: namedType['resolveType'] !== undefined && namedType['getTypes'] !== undefined,
        isInputType: namedType['getFields'] !== undefined && namedType['getInterfaces'] === undefined && namedType['resolveType'] === undefined,
        isEnum: isEnum,
    };
}
exports.resolveTypeIndicators = resolveTypeIndicators;
//# sourceMappingURL=resolve-type-indicators.js.map