"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_1 = require("graphql");
var debugging_1 = require("../debugging");
function isRequired(type) {
    return (String(type)).indexOf('!') > -1;
}
exports.isRequired = isRequired;
function isArray(type) {
    return (String(type)).indexOf('[') > -1;
}
exports.isArray = isArray;
function resolveType(type) {
    var name = graphql_1.getNamedType(type).name;
    debugging_1.debugLog("[resolveType] resolving type " + name);
    return {
        name: name,
        isRequired: isRequired(type),
        isArray: isArray(type),
    };
}
exports.resolveType = resolveType;
//# sourceMappingURL=resolve-type.js.map